# Change Database Plan

> This endpoint changes the plan of a Redis database.

## Endpoint

`POST https://api.upstash.com/v2/redis/{id}/change-plan`

## Parameters

- `id` (path, string, required): The ID of the database whose plan will be changed

## Request body

- `database_id` (string): ID of the database
- `plan_name` (enum<string>, required): The new plan for the database
- `auto_upgrade` (boolean): Whether to enable automatic upgrade for the database
- `prod_pack_enabled` (boolean): Whether to enable the production pack for the database

## Responses

### 200 - Plan changed successfully


## cURL

```bash
curl --request POST \
  --url https://api.upstash.com/v2/redis/{id}/change-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "database_id": "6gcefvfd-9627-2tz5-4l71-c5679g19d2g4",
    "plan_name": "fixed_1gb",
    "auto_upgrade": true,
    "prod_pack_enabled": false
  }'
```
